//==============================================================
// freeze viewer   (STPP.06)
//     for PSP CFW5.00 M33-6
// STEAR 2010-2011
//--------------------------------------------------------------

#ifndef PSP_FREEZEVIEWER_H
#define PSP_FREEZEVIEWER_H

#include <stdio.h>
#include <stdlib.h>
#include <pspiofilemgr.h>
#include "graphics.h"
#include "SMEMO/draw.h"

//----- 萔ݒ -----

#define THUMBFOLDER		"FVthumb"								// TlCۑtH_
#define THUMBID			(0x11)									// TlCt@CID
#define THUMBXSIZE		(96)									// TlCXTCY
#define THUMBYSIZE		(72)									// TlCYTCY
#define THUMBMAX		(30)									// TlC擾

//----- \ -----

typedef struct {												// bZ[Wp
	int		phase;
	int		error;
	char	msg[6][128];
} iniList;

typedef struct {												// t@C
	char			*name;										// O(UTF8)
	char			*name2;										// O(VtgJIS)
	int				type;										// 0:t@C 1:tH_
	SceOff			size;										// TCY
	ScePspDateTime	mtime;										// t@C̍XV
	DrawImg			*thumb;										// TlC摜
	ScePspDateTime	thumbTime;									// TlC̍XV
	int				xSize;										// 摜XTCY
	int				ySize;										// 摜YTCY
} FileData;

typedef struct {												// Xg
	volatile int	complete;									// Xg̎擾I 0:擾 1: -1:G[I
	int				pos;										// J[\ʒu
	int				count;										// ڐ
	char			path[1024];									// file ̃fBNgpX(UTF8)
	char			path2[1024];								// file ̃fBNgpX(VtgJIS)
	FileData		*file;										// t@C
	char			dirName[256];								// O܂ŋfBNg
	int				getDirMode;									// fBNg擾ۂɃTlC擾邩
	int				menuPos;									// j[ɂJ[\ʒu
	int				menuCount;									// j[̍ڐ
} DirList;

//----- ̂main.cɂ -----

extern volatile int	gExitRequest;								// [HOME]ɂI`FbN
extern DrawImg		*gScrBuf1, *gScrBuf2;						// wiޔ̈
extern DrawImg		*gScrMask;									// wip
extern DrawImg		*gIconImg[2];								// ACRp

//----- ϐ -----



#endif
